import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnChanges, QueryList, SimpleChanges } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormArrayGroupModel, DynamicFormControlComponent, DynamicFormControlEvent, DynamicFormControlModel, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicTemplateDirective } from "@ng-dynamic-forms/core";
export declare const enum BootstrapFormControlType {
    Array = 1,
    Checkbox = 2,
    DatePicker = 3,
    Group = 4,
    Input = 5,
    RadioGroup = 6,
    Select = 7,
    TextArea = 8,
    TimePicker = 9,
}
export declare class DynamicBootstrapFormControlComponent extends DynamicFormControlComponent implements AfterViewInit, OnChanges {
    protected changeDetectorRef: ChangeDetectorRef;
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    contentTemplateList: QueryList<DynamicTemplateDirective>;
    inputTemplateList: QueryList<DynamicTemplateDirective>;
    asBootstrapFormGroup: boolean;
    bindId: boolean;
    context: DynamicFormArrayGroupModel | null;
    group: FormGroup;
    hasErrorMessaging: boolean;
    layout: DynamicFormLayout;
    model: DynamicFormControlModel;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    customEvent: EventEmitter<DynamicFormControlEvent>;
    type: BootstrapFormControlType | null;
    constructor(changeDetectorRef: ChangeDetectorRef, layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService);
    ngOnChanges(changes: SimpleChanges): void;
    static getFormControlType(model: DynamicFormControlModel): BootstrapFormControlType | null;
}
